> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Run's Inputs



## OpenAPI

````yaml get /v3/jobs/{job_uid}/inputs
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/jobs/{job_uid}/inputs:
    get:
      tags:
        - Inputs
      summary: Get a Run's Inputs
      operationId: v3_get_job_inputs
      parameters:
        - required: true
          schema:
            title: Job UID
            type: string
            format: uuid
          name: job_uid
          in: path
        - required: false
          schema:
            title: Page
            anyOf:
              - type: string
              - type: integer
          name: page
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                inputs:
                  - uid: xxxxxxx-xxxxx-4dd6-a7f9-7d58928f5c57
                    payload:
                      linkedin_profile_url: https://www.linkedin.com/in/yann-lecun/
                    success: true
                    error: null
                    nbr_of_items: 1
                    status: valid
                    validity:
                      linkedin_profile_url:
                        valid: true
                        error: ''
                    row_count: 1
                next_page_exist: false
                number_total_inputs: 1
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items: 61c7f447-c888-4823-b42f-2a23e4e31a10
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````